PHP is among the most commonly used multi-paradigm programming languages. It’s extremely popular as it is free software, which can be used to develop responsive websites such as social networking websites, online stores or e-learning sites rather than static HTML-based sites. A PHP module should be enabled on the server where a PHP-powered site is hosted so that its code can be ‘decoded’. Because there aren’t any license fees for this type of module and the language itself provides innumerable options for the Internet apps that you create, there are 100s of millions of PHP websites. Furthermore, there are numerous open-source PHP scripts, which you can use for your websites without needing to possess any coding abilities. As there’re several versions of PHP, you must check if the very same version that you used while developing your site is enabled on the web server as well.

PHP 4, PHP 5 and PHP 7 Support in Web Hosting

Our web hosting servers support several versions of PHP, which implies that your sites will run faultlessly even if your PHP scripts are outdated. We accept the fact that an old site doesn’t necessarily mean a vulnerable one as you may have done lots of modifications to its source code. That’s why we support PHP 4, PHP 5 and PHP 7 and you can pick which one will be active for your shared web hosting account. The version can be changed with just one mouse click within your Hepsia hosting Control Panel and the update will take effect instantaneously. If you want to run both older and newer scripts, there is even a possibility to use a different PHP version for each of your domains at the same time.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

In case you have a website created with an older PHP version and you have donated time and efforts to setting it up, repairing safety loopholes and appending page content, you’ll need a web hosting service that can support it, since most web hosting companies these days offer only the newest PHP version and remove the previous ones. We, however, have decided to allow you to choose the exact version that your websites need. Our Linux semi-dedicated packages support PHP 4, PHP 5 and PHP 7, which goes to say that you’ll be able to use both older and newer scripts without forfeiting any custom settings or frittering away time and energy struggling to make your sites compatible with the web hosting environment. The current version can be changed from the Hepsia Control Panel and such a change will affect the entire semi-dedicated account, but you will also be able to specify a different PHP version for each site hosted in your account by using an .htaccess file.